# Class DataSourceElementBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
org.apache.jmeter.testbeans.BeanInfoSupport
org.apache.jmeter.protocol.jdbc.config.DataSourceElementBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class DataSourceElementBeanInfo extends BeanInfoSupport

## Field Summary

### Fields inherited from class BeanInfoSupport

`DEFAULT, MULTILINE, NOT_EXPRESSION, NOT_OTHER, NOT_UNDEFINED, RESOURCE_BUNDLE, TAGS, TEXT_LANGUAGE`

### Fields inherited from interface BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

## Constructor Summary

Constructors
Constructor
Description
`DataSourceElementBeanInfo()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getTransactionIsolationMode(String tag)`
Converts a string description of a valid transaction isolation mode to the respective integer value.

### Methods inherited from class BeanInfoSupport

`createPropertyGroup, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors, property, property, property, setIcon`

### Methods inherited from class SimpleBeanInfo

`loadImage`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataSourceElementBeanInfo

public DataSourceElementBeanInfo()

## Method Details

### getTransactionIsolationMode

public static int getTransactionIsolationMode(String tag)
Converts a string description of a valid transaction isolation mode to the respective integer value. Currently supported tags and their values are:

DEFAULT
  -1
TRANSACTION_NONE
  0
TRANSACTION_REAd_COMMITTED
  2
TRANSACTION_READ_UNCOMMITTED
  1
TRANSACTION_REPEATABLE_READ
  4
TRANSACTION_SERIALIZABLE
  8

Parameters:
  `tag` - name of the transaction isolation mode
Returns:
  integer value of the given transaction isolation mode